/*
  @description:计划打包-工作流配置
  @Modifier:张慢慢
  @routerPath:
  @date:2021-06-18 10:00
*/
export const purPlanBaleMixins = {
  data() {
    return {
      purchasplanPackAuditConfig: false, // 集采计划打包 true启动工作流 false普通审核
      purchasplanChangeAuditConfig: false // 集采转自采/采购方式变更/退回计划 true启动工作流 false普通审核
    }
  },
  created() {

  },
  methods: {
    // 计划打包提交工作流配置
    purchasplanPackAudit() {
      // 根据键获取正式配置
      this.$store.dispatch('getSystemConfigValue', 'purchasplan-pack-audit-config').then(() => {
        this.purchasplanPackAuditConfig = this.$store.getters.systemConfigVo.configType // true启动工作流 false普通审核
      }).catch(() => {
      })
    },
    // 集采转自采/采购方式变更/退回计划工作流配置
    purchasplanChangeAudit() {
      // 根据键获取正式配置
      this.$store.dispatch('getSystemConfigValue', 'purchasplan-change-audit-config').then(() => {
        this.purchasplanChangeAuditConfig = this.$store.getters.systemConfigVo.configType // true启动工作流 false普通审核
      }).catch(() => {
      })
    }
  }
}
